QGIS Application - Bug report #20806
QGIS 3.4.2 crush on exit
2018-12-13 11:54 PM - Jan Macura

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.2 Regression?: Yes
Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corruptsdata: Copied to github as #: 28625
Description

User Feedback

I've just finished a 4 hour long work, saved everything and pressed the close button. If there will be some loose of the data

Report Details

Crash ID: 7442373e0283e1ddab9b4be290841057a580a7ea
Stack Trace

proj_lpz_dist :

proj_lpz_dist :
QgsCoordinateTransform::transformPolygon :
QgsCoordinateTransform::transformPolygon :
QgsCoordinateTransform::~QgsCoordinate Transform :
QgsPointLocator::~QgsPointLocator :
QgsPointLocator::~QgsPointLocator :
QgsSnappingUtils::clearAllLocators :
QgsSnappingUtils::~QgsSnappingUstils :
QgsVectorLayerProperties::"default constructor closure' :
QObjectPrivate::deleteChildren :

QWidget::~QWidget :

CPLStringList::operator(] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070
Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:
Duplicates QGIS Application - Bug report # 20283: Crash when exiting program ... Reopened 2018-10-30

History

#1 - 2018-12-13 11:57 PM - Jan Macura

2025-04-27
Both data and project file seems ok after restart.

#2 - 2018-12-14 08:39 AM - Jiirgen Fischer

- Duplicates Bug report #20283: Crash when exiting program [proj _Ipz_dist] added

#3 - 2018-12-14 08:40 AM - Jiirgen Fischer

- Resolution set to duplicate
- Status changed from Open to Closed

2025-04-27 22



